/* Given variables A and B, each holding an 8-bit signed 2's complement number, 
 * write a program to find the maximum value and put into variable C. For 
 * example if A > B then C = A.
 *
 * Solution B: Basic implementation of if-then-else statement.
 * Structure modified to immediately store result.
 */
.INCLUDE <m328pdef.inc> 

.DSEG
A:     .BYTE 1
B:     .BYTE 1
C:     .BYTE 1

.CSEG
Max2:
	lds  r16,A    ; load
	lds  r17,B
	cp   r16,r17
	brlt elseMax2 ; if (A >= B)
	sts  C,r16    ; then C = A
	rjmp endMax2
elseMax2:
    sts  C, r17
endMax2:
